.site-header{
    display: flex;
    justify-content: space-between;
    padding: 0 0 10px 60px;
    align-items: center;
    top: 0;
    position: sticky;
    background-color: #FFFFFFFA;
    z-index: 999;
    /*
    box-shadow: 
    0px 38px 83px 0px #0000001A,
    0px 151px 151px 0px #00000017,
    0px 339px 203px 0px #0000000D,
    0px 602px 241px 0px #00000003,
    0px 941px 264px 0px #00000000;
    */
}

.site-header .container-right-content {
    display: flex;
    padding-right: 37px;
    align-items: center;
    gap: 16px;
}

.site-header .container-right-content .header-cart-icon {
    display: flex;
    align-items: center;
}

.site-header .container-right-content  svg path {
    fill: var(--color-primary);
}

.site-header .container-right-content .header-cart-icon .cart-contents  {
    display: flex;
    align-items: center;
    text-decoration: none;
    gap: 8px;
}

.site-header .container-right-content .header-cart-icon .cart-contents .woo-native-cart-icon, .site-header .container-right-content .header-cart-icon .cart-contents .cart-count-badge {
    display: flex;
}

.site-header .container-right-content .search-icon{
    display: flex;
    cursor: pointer;
}

.site-header .container-right-content .search-icon svg{
    width: 30px;
    height: 30px;
}

.site-header .container-right-content .menu {
    margin: 0;
    padding: 0;
}

.site-header .container-right-content li::marker{
    content: none;
}

.site-header .container-right-content li a{
    color: var(--color-background-white);
    text-decoration: unset;
}

.site-header .site-branding{
    display: block;
    height: max-content;
    padding-top: 16px;
}

.site-header .custom-logo{
  display: block;
}

.site-header .header-menus-container{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.site-header .header-menus-container .header-topbar{
    display: flex;
    justify-content: end;
}

.site-header .header-menus-container .container-topbar{
    max-width: fit-content;
    justify-content: end;
    display: flex;
    padding: 4px 60px 4px 0;
    align-items: center;
    gap: 40px;
}

.site-header .header-menus-container .container-topbar .container-search{
    display: flex;
    cursor: pointer;
}

.site-header .header-menus-container .topbar-navigation .topbar-menu{
    display: flex;
    margin: 0;
    list-style: none;
    padding-left: 24px;
    gap: 40px;
}

.site-header .header-menus-container .topbar-navigation .topbar-menu a{
    text-decoration: none;
    color: var(--color-secondary);
}

.container-topbar .language-selector-wrapper {
    position: relative;
    display: inline-flex;
    align-items: center;
    cursor: pointer;
    margin-left: 20px;
    z-index: 10;
}

.container-topbar .language-selector-wrapper .current-lang {
    display: flex;
    align-items: center;
    gap: 4px;
    padding: 5px 0;
    transition: color 0.3s ease;
}

.container-topbar .language-selector-wrapper .current-lang svg {
    transition: transform 0.3s ease; /* Animazione rotazione */
} 

.container-topbar.language-selector-wrapper:hover .current-lang svg {
    transform: rotate(180deg);
}
.container-topbar .language-selector-wrapper:hover .current-lang {
    color: var(--color-primary);
}

.container-topbar .language-selector-wrapper .lang-dropdown-list {
    position: absolute;
    top: 100%;
    right: 0;
    min-width: 140px;
    padding: 10px 0;
    margin: 0;
    list-style: none;
    box-shadow: 0 10px 20px rgba(0,0,0,0.1);
    border: 1px solid #eee;
    border-radius: 4px;
    opacity: 0;
    visibility: hidden;
    transform: translateY(10px);
    transition: all 0.3s ease;
}

.container-topbar .language-selector-wrapper:hover .lang-dropdown-list {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.container-topbar .language-selector-wrapper .lang-dropdown-list li {
    display: block;
    margin: 0;
    padding: 0;
}

.container-topbar .language-selector-wrapper .lang-dropdown-list li a {
    display: block;
    padding: 8px 20px;
    text-decoration: none;
    white-space: nowrap;
    color: var(--color-secondary);
}

.container-topbar .language-selector-wrapper .lang-dropdown-list li a:hover {
    color: var(--color-primary);
}

.site-header .header-menus-container .container-menu{
    display: flex;
    padding-right: 60px;
    gap: 40px;
}

.site-header .header-menus-container .container-menu .main-navigation{
    display: flex;
    align-items: center;
    margin-top: 4px;
}

.site-header .header-menus-container .container-menu .menu-cta-header-menu-container #cta-header-menu{
    margin: 0;
    padding: 0;
}

.site-header .header-menus-container .container-menu .menu-cta-header-menu-container li a{
    color: var(--color-background-white);
    text-decoration: unset;
}

.site-header .header-menus-container .container-menu .main-navigation .menu-main-menu-container .menu{
    display: flex;
    gap: 32px;
}

.site-header .header-menus-container .container-menu .main-navigation .menu-main-menu-container .menu .cuamm-mega-dropdown{
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    width: 100%;
    background: var(--color-neutral-beige-light);
    padding: 48px 170px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.05);
    z-index: 9999;
    grid-template-columns: 1fr 1fr 1.5fr;
    gap: 40px;
    margin: 0 auto;
}

.site-header .header-menus-container .container-menu .main-navigation .menu-main-menu-container  li:hover > .cuamm-mega-dropdown,
.site-header .header-menus-container .container-menu .main-navigation .menu-main-menu-container li.is-hover .cuamm-mega-dropdown,
.site-header .header-menus-container .container-menu .main-navigation .menu-main-menu-container  li:focus-within > .cuamm-mega-dropdown {
	display: grid;
    animation: fadeInMenu 0.3s ease;
}

@keyframes fadeInMenu {
    from { opacity: 0; transform: translateY(10px); }
    to { opacity: 1; transform: translateY(0); }
}

.site-header .header-menus-container .container-menu .main-navigation .menu-main-menu-container .menu li{
    position: static;
    max-width: fit-content;
    border-bottom: 4px solid transparent;
}

.site-header .header-menus-container .container-menu .main-navigation .menu-main-menu-container .menu li:hover,.site-header .header-menus-container .container-menu .main-navigation .menu-main-menu-container .menu li.is-hover {
    border-bottom: 4px solid var(--color-primary);
}

.site-header .header-menus-container .container-menu .main-navigation .menu-main-menu-container .menu li.current-menu-item{
    border-bottom: 4px solid transparent;
    border-bottom: 4px solid var(--color-primary);
}

.site-header .header-menus-container .container-menu .main-navigation .menu-main-menu-container .menu li .cuamm-mega-dropdown .mega-col-list .sub-menu, .site-header .header-menus-container .container-menu .main-navigation .menu-main-menu-container .menu li .cuamm-mega-dropdown .mega-col-info{
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.site-header .header-menus-container .container-menu .main-navigation .menu-main-menu-container .menu li .cuamm-mega-dropdown .mega-col-list .sub-menu li, .site-header .header-menus-container .container-menu .main-navigation .menu-main-menu-container .menu li .cuamm-mega-dropdown .mega-desc{
    text-transform: none;
}

.site-header .header-menus-container .container-menu .main-navigation .menu-main-menu-container .menu li .cuamm-mega-dropdown .mega-col-info h2{
    margin: 0;
}

.site-header .header-menus-container .container-menu .main-navigation-mobile,.site-header .header-menus-container .container-menu .container-cta-menu-mobile{
    display: none;
}

.site-header .header-search-panel {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    box-shadow: 0 10px 20px rgba(0,0,0,0.05);
    z-index: 10;
    padding: 40px 60px;
}

.site-header .header-search-panel .search-panel-inner {
    max-width: fit-content;
    margin: 0 auto;
}

.site-header .header-search-panel .search-panel-inner .search-form .search-header-row {
    display: flex;
    align-items: center;
    gap: 15px;
    margin-bottom: 40px;
}

.site-header .header-search-panel .search-panel-inner .search-form .search-header-row .search-icon-red{
    display: flex;
    align-items: center;
}

.site-header .header-search-panel .search-panel-inner .search-form .search-header-row .search-icon-red svg path {
    stroke: var(--color-primary);
}

.site-header .header-search-panel .search-panel-inner .search-form .search-field {
    border: none;
    background: transparent;
    width: 100%;
    outline: none;
    color: var(--color-primary);
}

.site-header .header-search-panel .search-panel-inner .search-form .search-field::placeholder {
    color: var(--color-primary);
    opacity: 0.7;
}

.site-header .header-search-panel .search-panel-inner .search-form .search-field:focus {
    color: var(--color-primary);
}

/* Lista suggerimenti (Lorem ipsum) */
.site-header .header-search-panel .search-panel-inner .search-suggestions ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.site-header .header-search-panel .search-panel-inner .search-suggestions li {
    margin-bottom: 10px;
}

.site-header .header-search-panel .search-panel-inner .search-suggestions li a {
    text-decoration: none;
    font-weight: var(--typo-text-big-semibold-fw);
}

.site-header .header-search-panel .search-panel-inner .search-suggestions li a:hover {
    color: var(--color-primary);
}

.site-header .header-search-panel .search-panel-inner .search-form .search-header-row .close-search {
    cursor: pointer;
    font-size: 20px;
}

.site-header .container-icon-cart.mobile{
    display: none;
}


@media (max-width: 992px) {

    .header-search-panel {
        padding: 20px;
        position: fixed;
        top: 80px;
        height: auto;
    }

    .site-header{
        padding: 8px 12px;
    }

    .site-header .site-branding{
        padding-top: 0;
    }

    .site-header .header-menus-container{
        justify-content: center;
    }

    .site-header .header-menus-container .header-topbar{
        display: none;
    }

    .site-header .header-menus-container .container-menu{
        padding-right: 0;
        gap: 16px;
        align-items: center;
    }

    .site-header .container-icon-cart.mobile{
      display: flex;
    }

    .site-header .container-right-content{
        padding-right: 0;
        display: none;
    }

    .site-header .header-menus-container .container-menu .main-navigation{
      display: none;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile{
      display: flex;
      align-items: center;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .menu-toggle-mobile{
      max-width: 24px;
      max-height: 24px;
      display: block;
    }

    .site-header .header-menus-container .container-menu .container-cta-menu-mobile{
        display: block;
    }

    .site-header .header-menus-container .container-menu .container-cta-menu-mobile .donate-button-desktop{
        padding: 8px 21px;
    }

    .menu-toggle-mobile svg path {
      transform-origin: center;
      transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
    }

    .menu-toggle-mobile[aria-expanded="true"] svg path:nth-child(1) {
      transform: translateY(7px) rotate(45deg) scale(0.85);
    }

    .menu-toggle-mobile[aria-expanded="true"] svg path:nth-child(2) {
      opacity: 0;
    }

    .menu-toggle-mobile[aria-expanded="true"] svg path:nth-child(3) {
      transform: translateY(-1px) rotate(-45deg) scale(0.85);
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .menu-main-menu-mobile-container, .site-header .header-menus-container .container-menu .main-navigation-mobile .topbar-navigation-mobile {
      display: none;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .menu-main-menu-mobile-container, .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .topbar-navigation-mobile{
      display: block;
    }

    .site-header .custom-logo{
        max-width: 145px;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile {
        position: fixed;
        top: 77px;
        left: 0;
        right: 0;
        bottom: 0;
        background: var(--color-background-white);
        overflow-x: hidden;
        overflow-y: auto;
        display: none;
        z-index: 100;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open {
      display: block;
    }

    .menu-main-menu-container,
    .topbar-navigation-mobile {
        transition: transform 0.3s ease-in-out;
        background: var(--color-background-white);
    }

    .container-menus-mobile.sub-open .menu-main-menu-container,
    .container-menus-mobile.sub-open .topbar-navigation-mobile {
        height: 0; 
        overflow: hidden;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open.sub-open .topbar-navigation-mobile, .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open.sub-open .menu-main-menu-container .menu .main-menu-voice > a:first-of-type, .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open.sub-open .language-selector-wrapper, .container-menu:has(.container-menus-mobile.is-open.sub-open) .mobile-search-wrapper  {
      display: none;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open.sub-open .menu-main-menu-container{
      border: 0;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile ul.sub-menu {
        position: fixed;
        top: 77px;
        left: 0;
        width: 100%;
        height: calc(100% - 77px);
        background: var(--color-background-white);
        z-index: 200;
        overflow-y: auto;
        padding: 0;
        margin: 0;
        list-style: none;
        transform: translateX(100%); 
        transition: transform 0.3s ease-in-out;
        display: block;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile ul.sub-menu.is-active {
        transform: translateX(0);
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile ul.sub-menu.is-active .mobile-back-btn-container .mobile-back-btn {
        justify-content: flex-start;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile ul.sub-menu.is-active > li {
        padding-bottom: 32px;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile ul.sub-menu.is-active > li:hover a {
        color: var(--color-primary);
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open ul.sub-menu.is-active li a{
        padding-left: 60px;
        text-transform: unset;
        font-family: var(--typo-text-big-bold-font);
        font-size: var(--typo-text-big-size);
        font-weight: var(--typo-text-big-bold-fw);
        line-height: var(--typo-text-big-bold-lh);
        letter-spacing: var(--typo-text-big-bold-ls);;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open ul.sub-menu li.menu-item a::after{
        content: none;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .menu-main-menu-container .menu .main-menu-voice .sub-menu .mobile-back-btn {
        display: flex;
        width: 100%;
        padding: 40px 0 15px 20px;
        color: var(--color-primary);
        text-decoration: none;
        cursor: pointer;
        font-family: var(--typo-text-big-semibold-font);
        font-size: var(--typo-text-big-size-semibold);
        font-weight: var(--typo-text-big-semibold-fw);
        line-height: var(--typo-text-big-semibold-lh);
        letter-spacing: var(--typo-text-big-semibold-ls);
        align-items: center;
        gap: 10px;
    }
    
    .mobile-back-btn::before {
        content: '';
        display: inline-block;
        width: 20px;
        height: 20px;
        background-image: url('../assets/arrow-right.svg');
        background-repeat: no-repeat;
        background-position: center;
        background-size: contain;;
    }

    .container-icon-cart.mobile .header-cart-icon {
      display: flex;
      align-items: center;
    }
    
    .container-icon-cart.mobile .header-cart-icon a {
      display: flex;
      align-items: center;
      text-decoration: none;
    }

    .container-icon-cart.mobile .header-cart-icon span,.container-icon-cart.mobile .header-cart-icon span  {
      display: flex;
      align-items: center;
    }

    .container-icon-cart.mobile .header-cart-icon  svg path {
      fill: var(--color-primary);
    }

    .site-header .container-menus-mobile.is-open .header-cart-icon .cart-contents  {
      display: flex;
      align-items: center;
      text-decoration: none;
      gap: 8px;
    }

    .site-header .container-menus-mobile.is-open .header-cart-icon .cart-contents .woo-native-cart-icon, .site-header .container-menus-mobile.is-open .header-cart-icon .cart-contents .cart-count-badge {
      display: flex;
    }  
    

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .menu-main-menu-container,.site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .topbar-navigation-mobile{
      display: flex;
      flex-direction: column;
      padding: 40px 0;
      margin: 0;
      margin-left: 20px;
      margin-right: 20px;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .topbar-navigation-mobile{
      padding: 40px 0 0 0;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .menu-main-menu-container .menu, .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .topbar-navigation-mobile .topbar-menu-mobile{
      display: flex;
      flex-direction: column;
      padding: 0;
      margin: 0;
      list-style: none;
      gap: 32px;
      text-transform: unset;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .menu-main-menu-container .menu li{
      text-transform: unset;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .menu-main-menu-container .menu li > a{
      font-size: var(--typo-display-3-size);
      text-decoration: unset;
      width: 100%;
      display: flex;
      align-items: center;
      justify-content: space-between;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .menu-main-menu-container .menu .main-menu-voice > a:first-of-type{
      text-transform: uppercase;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .menu-main-menu-container .menu .main-menu-voice:hover > a, .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .topbar-navigation-mobile .topbar-menu-mobile a:hover  {
      color: var(--color-primary);
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .menu-main-menu-container .menu .main-menu-voice .sub-menu .mobile-back-btn::before,.site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .menu-main-menu-container .menu .main-menu-voice:has(.sub-menu) > a:first-of-type::after{
      content: '';
      display: inline-block;
      width: 20px;
      height: 20px;
      background-image: url('../assets/arrow-right.svg');
      background-repeat: no-repeat;
      background-position: center;
      background-size: contain;;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .menu-main-menu-container .menu .main-menu-voice .sub-menu .mobile-back-btn::before{
        transform: rotate(180deg);
    }

    .mobile-submenu-title {
      display: block;
      font-family: var(--typo-display-3-font);
      font-size: var(--typo-display-3-size);
      font-weight: var(--typo-display-3-fw);
      line-height: var(--typo-display-3-lh);
      letter-spacing: var(--typo-display-3-ls);
      text-transform: uppercase;
      color: var(--color-text-black);
      pointer-events: none;
      padding: 40px 0 32px 20px;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .menu-main-menu-container .menu .menu-item-has-children.open .sub-menu{
        display: flex;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .topbar-navigation-mobile .topbar-menu-mobile li a{
        font-size: var(--typo-text-big-size);
        font-weight: var(--typo-text-big-bold-fw);
        text-decoration: unset;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .language-selector-wrapper {
        width: 100%;
        margin: 0 20px;
        padding: 10px 0;
        justify-content: center;
        flex-direction: column;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .language-selector-wrapper .current-lang {
        width: 100%;
        align-items: center;
        padding: 15px 0;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .lang-dropdown-list {
        position: static;
        width: 100%;
        box-shadow: none;
        border: none;
        display: none;
        opacity: 1;
        visibility: visible;
        transform: none;
        padding: 0;
        list-style: none;
        margin: 0;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .language-selector-wrapper.lang-open .lang-dropdown-list,
    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .language-selector-wrapper:focus-within .lang-dropdown-list {
      display: block;
      animation: slideDownLang 0.3s ease;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .language-selector-wrapper.lang-open .current-lang svg {
      transform: rotate(180deg);
      transition: transform 0.3s ease;
    }

    .site-header .header-menus-container .container-menu .main-navigation-mobile .container-menus-mobile.is-open .lang-dropdown-list li a {
        padding: 15px 0;
        display: block;
        text-decoration: none;
        color: var(--color-secondary);
    }

    @keyframes slideDownLang {
        from { opacity: 0; transform: translateY(-10px); }
        to { opacity: 1; transform: translateY(0); }
    }


    .mobile-search-wrapper {
      padding: 20px 20px 0 20px; /* Spazio attorno */
      width: 100%;
    }

    .mobile-search-form {
      display: flex;
      align-items: center;
      justify-content: space-between;
      width: 100%;
      border: 1px solid #D8CFC8;
      border-radius: 50px;
      padding: 16px;
      transition: border-color 0.3s ease;
    }

    input[type="search"].mobile-search-field {
      border: none;
      background: transparent;
      width: 100%;
      outline: none;
      border: 0;
      color: var(--color-text-black);
    }

    .mobile-search-field::placeholder {
      color: var(--color-text-black);
    }

    .mobile-search-submit {
      border: none;
      background: transparent;
      display: flex;
      align-items: center;
      gap: 8px;
      padding: 0;
      cursor: pointer;
    }

    .mobile-search-submit svg path {
      stroke: var(--color-primary);
    }

    .mobile-search-form:focus-within {
      border-color: var(--color-primary);
    }
}
